> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import existing connections with a service provider

> Importing is done asynchronously. Webhooks will be sent for each connection as they are imported, the same as if the connection was added via the connect widget.



## OpenAPI

````yaml /openapi/banklinking-20260203.json post /bank-linking/connections/import
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/connections/import:
    post:
      tags:
        - Connections
      summary: Import existing connections with a service provider
      description: >-
        Importing is done asynchronously. Webhooks will be sent for each
        connection as they are imported, the same as if the connection was added
        via the connect widget.
      operationId: bank-linking-connections-import
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportRequest'
            example:
              connections: []
        required: true
      responses:
        '202':
          description: Request for import has been accepted
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ImportResponse'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ImportRequest:
      type: object
      properties:
        connections:
          type: array
          description: Import details for the connections specific to the service provider
          items:
            oneOf:
              - title: ImportAkoyaDetails
                allOf:
                  - $ref: '#/components/schemas/ImportAkoyaDetails'
              - title: ImportFinicityDetails
                allOf:
                  - $ref: '#/components/schemas/ImportFinicityDetails'
              - title: ImportMeshDetails
                allOf:
                  - $ref: '#/components/schemas/ImportMeshDetails'
              - title: ImportPlaidDetails
                allOf:
                  - $ref: '#/components/schemas/ImportPlaidDetails'
          minItems: 1
      required:
        - connections
    ImportResponse:
      type: object
      properties:
        requestId:
          type: string
          description: The id of this request
    ImportAkoyaDetails:
      allOf:
        - $ref: '#/components/schemas/ImportDetails'
        - type: object
          properties:
            providerId:
              type: string
              description: Akoya provider id (aka institution id)
              minLength: 1
            refreshToken:
              type: string
              description: Akoya refresh token
              minLength: 1
            products:
              type: array
              description: >-
                Meld products to import from the connection. Optional. If not
                present, then all products supported by the institution will be
                used
              items:
                type: string
                enum:
                  - BALANCES
                  - IDENTIFIERS
                  - INVESTMENT_HOLDINGS
                  - INVESTMENT_TRANSACTIONS
                  - OWNERS
                  - TRANSACTIONS
      required:
        - providerId
        - refreshToken
    ImportFinicityDetails:
      allOf:
        - $ref: '#/components/schemas/ImportDetails'
        - type: object
          properties:
            customerId:
              type: integer
              format: int64
              description: Finicity customer id
            institutionLoginId:
              type: integer
              format: int64
              description: Finicity institution login id
            products:
              type: array
              description: >-
                Meld products to import from the connection. Optional. If not
                present, then all products supported by the institution will be
                used
              items:
                type: string
                enum:
                  - BALANCES
                  - IDENTIFIERS
                  - INVESTMENT_HOLDINGS
                  - INVESTMENT_TRANSACTIONS
                  - OWNERS
                  - TRANSACTIONS
      required:
        - customerId
        - institutionLoginId
    ImportMeshDetails:
      allOf:
        - $ref: '#/components/schemas/ImportDetails'
        - type: object
          properties:
            importType:
              type: string
              description: The type of import being performed.
              enum:
                - MELD_AUTHENTICATED
            products:
              type: array
              description: >-
                Meld products to import from the connection. Optional. If not
                present, then all products supported by the institution will be
                used
              items:
                type: string
                enum:
                  - BALANCES
                  - IDENTIFIERS
                  - INVESTMENT_HOLDINGS
                  - INVESTMENT_TRANSACTIONS
                  - OWNERS
                  - TRANSACTIONS
              uniqueItems: true
            authenticationBypassDetails:
              description: >-
                Details of the previously authenticated crypto session that will
                be used to import the connection. Only required if importType is
                MELD_AUTHENTICATED.
              allOf:
                - $ref: '#/components/schemas/AuthenticationBypassDetails'
      required:
        - importType
    ImportPlaidDetails:
      allOf:
        - $ref: '#/components/schemas/ImportDetails'
        - type: object
          properties:
            accessToken:
              type: string
              description: Plaid access token
              minLength: 1
      required:
        - accessToken
    ImportDetails:
      type: object
      description: A provider's connection info
      discriminator:
        propertyName: serviceProvider
      properties:
        externalCustomerId:
          type: string
          description: Externally assigned id for the customer
        serviceProvider:
          type: string
          description: Service provider
          enum:
            - AKOYA
            - FINICITY
            - MX
            - PLAID
            - SALTEDGE
            - SALTEDGEPARTNERS
            - YODLEE
    AuthenticationBypassDetails:
      type: object
      properties:
        category:
          type: string
          description: >-
            The widget type associated with the previously authenticated crypto
            session
          enum:
            - CRYPTO_ONRAMP
            - CRYPTO_OFFRAMP
            - CRYPTO_TRANSFER
        previouslyAuthenticatedId:
          type: string
          description: >-
            The Meld id of the crypto session in which the customer has already
            authenticated with their institution. The auth tied to this session
            will be used to import the connection if it is still valid. This id
            may pertain to the initial session in which the customer
            authenticated, or any subsequent session that used this prior
            authentication successfully.


            For more details, reference [Using Multiple Products without
            Re-authenticating](https://docs.meld.io/docs/using-multiple-products-without-reauthenticating)
          minLength: 1
      required:
        - category
        - previouslyAuthenticatedId
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````